#
# spec file for package kdevelop5-pg-qt
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without released
%define rname kdevelop-pg-qt
Name:           kdevelop5-pg-qt
Version:        2.2.2
Release:        bp156.2.9
Summary:        Supporting package for the additional plugins for Kdevelop5
License:        LGPL-2.0-or-later AND GPL-2.0-or-later
Group:          Development/Tools/IDE
URL:            https://www.kdevelop.org/
Source0:        https://download.kde.org/stable/kdevelop-pg-qt/%{version}/src/%{rname}-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/kdevelop-pg-qt/%{version}/src/%{rname}-%{version}.tar.xz.sig
Source2:        %{rname}.keyring
%endif
BuildRequires:  bison
BuildRequires:  extra-cmake-modules
BuildRequires:  flex
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Test)
Conflicts:      kdevelop4-pg-qt

%description
Supporting package for the additional plugins for Kdevelop5 Integrated Development Environment

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kf5 -d build
  %cmake_build

%install
  %kf5_makeinstall -C build

%files
%license COPYING*
%{_kf5_bindir}/kdev-pg-qt
%{_kf5_libdir}/cmake/KDevelop-PG-Qt/
%{_kf5_prefix}/include/kdevelop-pg-qt/

%changelog
* Sun Jan 15 2023 Wolfgang Bauer <wbauer@tmo.at>
- Update to 2.2.2
  * Fix build with Qt 5.15.8
- Add signature file and keyring
* Thu Aug 27 2020 Christophe Giboudeaux <christophe@krop.fr>
- Spec cleanup
* Mon Feb  3 2020 wbauer@tmo.at
- Update to 2.2.1
  * Fix build with Qt 5.14
  * New flag ENFORCE_COMPATIBLE_ERROR_AWARE_CODE for the
    kdevpgqt_generate() CMake macro
- Drop Fix-build-with-Qt-5.14.patch, merged upstream
* Fri Dec 27 2019 wbauer@tmo.at
- Add Fix-build-with-Qt-5.14.patch to make it compile with Qt 5.14
* Fri May 24 2019 wbauer@tmo.at
- Update to 2.2.0
  * Fix compiler warnings in generated code (adding nullptr &
    override)
- Run spec-cleaner
* Fri Jul 28 2017 wbauer@tmo.at
- Update to 2.1.0
  * DebugVisitor: catch and show invalid token indizes
  * Update to Astyle 1.24 (latest 1.x release)
  * Add asserts to some TokenStreamBase methods, protect against
    out-of-bounds
  * Fix compile warnings with clang
  * Fix yymore_used_but_not_detected undefined issue (kde#374523)
- Drop fix-yymore-used-but-not-detected.patch, fixed upstream now
* Tue Jul 25 2017 lbeltrame@kde.org
- Add upstream patch fix-yymore-used-but-not-detected.patch:
  * Fixes build with newer flex
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- Update to 2.0.0
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Initial package for kdevelop5-pg-qt based on Qt5.
  * Kdevelop 5 Beta 3
